For the complete documentation index, see llms.txt. This page is also available as Markdown.

Code repositories

List Code Repositories

get

Gets a page of code repositories.

Args: filter_model: Filter model used for pagination, sorting, filtering. project_name_or_id: Optional name or ID of the project. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.

Returns: Page of code repository objects.

Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
project_name_or_idany of · nullableOptional
stringOptional
or
string · uuidOptional
hydratebooleanOptionalDefault: false
sort_bystringOptionalDefault: created
logical_operatorstring · enumOptional

Logical Ops to use to combine filters on list methods.

Default: andPossible values:
pageinteger · min: 1OptionalDefault: 1
sizeinteger · min: 1 · max: 10000OptionalDefault: 20
idany of · nullableOptional
string · uuidOptional
or
stringOptional
or
createdany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
updatedany of · nullableOptional
string · date-timeOptional
or
stringOptional
or
scope_userstring · uuid · nullableOptional
userany of · nullableOptional
string · uuidOptional
or
stringOptional
or
projectany of · nullableOptional
string · uuidOptional
or
stringOptional
nameany of · nullableOptional
stringOptional
or
string[]Optional
Responses
200

Successful Response

application/json
indexintegerRequired
max_sizeintegerRequired
total_pagesintegerRequired
totalintegerRequired
get/api/v1/code_repositories
GET /api/v1/code_repositories HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "index": 1,
  "max_size": 1,
  "total_pages": 1,
  "total": 1,
  "items": [
    {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "user_id": "123e4567-e89b-12d3-a456-426614174000",
        "project_id": "123e4567-e89b-12d3-a456-426614174000",
        "source": {
          "module": "text",
          "attribute": "text",
          "type": "user",
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "logo_url": "text"
      },
      "metadata": {
        "config": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        },
        "description": "text"
      },
      "resources": {
        "user": {
          "body": {
            "created": "2026-01-01T00:00:00.000Z",
            "updated": "2026-01-01T00:00:00.000Z",
            "active": false,
            "activation_token": "text",
            "full_name": "",
            "email_opted_in": true,
            "is_service_account": true,
            "is_admin": true,
            "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
            "avatar_url": "text"
          },
          "metadata": {
            "password_changed_at": "2026-01-01T00:00:00.000Z",
            "email": "",
            "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
            "user_metadata": {
              "ANY_ADDITIONAL_PROPERTY": "anything"
            }
          },
          "resources": {
            "ANY_ADDITIONAL_PROPERTY": "anything"
          },
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "permission_denied": false,
          "name": "text"
        },
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    }
  ]
}

Get Code Repository

get

Gets a specific code repository using its unique ID.

Args: code_repository_id: The ID of the code repository to get. hydrate: Flag deciding whether to hydrate the output model(s) by including metadata fields in the response.

Returns: A specific code repository object.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
code_repository_idstring · uuidRequired
Query parameters
hydratebooleanOptionalDefault: true
Responses
200

Successful Response

application/json

Response model for code repositories.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required
get/api/v1/code_repositories/{code_repository_id}
GET /api/v1/code_repositories/{code_repository_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "body": {
    "created": "2026-01-01T00:00:00.000Z",
    "updated": "2026-01-01T00:00:00.000Z",
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "project_id": "123e4567-e89b-12d3-a456-426614174000",
    "source": {
      "module": "text",
      "attribute": "text",
      "type": "user",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "logo_url": "text"
  },
  "metadata": {
    "config": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "description": "text"
  },
  "resources": {
    "user": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "active": false,
        "activation_token": "text",
        "full_name": "",
        "email_opted_in": true,
        "is_service_account": true,
        "is_admin": true,
        "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
        "avatar_url": "text"
      },
      "metadata": {
        "password_changed_at": "2026-01-01T00:00:00.000Z",
        "email": "",
        "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
        "user_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "permission_denied": false,
  "name": "text"
}

Update Code Repository

put

Updates a code repository.

Args: code_repository_id: The ID of the code repository to update. update: The model containing the attributes to update.

Returns: The updated code repository object.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
code_repository_idstring · uuidRequired
Body

Update model for code repositories.

namestring · max: 255 · nullableOptional
logo_urlstring · nullableOptional

Optional URL of a logo (png, jpg or svg) for the code repository.

descriptionstring · max: 65535 · nullableOptional

Code repository description.

Responses
200

Successful Response

application/json

Response model for code repositories.

idstring · uuidRequired
permission_deniedbooleanOptionalDefault: false
namestring · max: 255Required
put/api/v1/code_repositories/{code_repository_id}
PUT /api/v1/code_repositories/{code_repository_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 199

{
  "name": "text",
  "config": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "source": {
    "module": "text",
    "attribute": "text",
    "type": "user",
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "logo_url": "text",
  "description": "text"
}
{
  "body": {
    "created": "2026-01-01T00:00:00.000Z",
    "updated": "2026-01-01T00:00:00.000Z",
    "user_id": "123e4567-e89b-12d3-a456-426614174000",
    "project_id": "123e4567-e89b-12d3-a456-426614174000",
    "source": {
      "module": "text",
      "attribute": "text",
      "type": "user",
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "logo_url": "text"
  },
  "metadata": {
    "config": {
      "ANY_ADDITIONAL_PROPERTY": "anything"
    },
    "description": "text"
  },
  "resources": {
    "user": {
      "body": {
        "created": "2026-01-01T00:00:00.000Z",
        "updated": "2026-01-01T00:00:00.000Z",
        "active": false,
        "activation_token": "text",
        "full_name": "",
        "email_opted_in": true,
        "is_service_account": true,
        "is_admin": true,
        "default_project_id": "123e4567-e89b-12d3-a456-426614174000",
        "avatar_url": "text"
      },
      "metadata": {
        "password_changed_at": "2026-01-01T00:00:00.000Z",
        "email": "",
        "external_user_id": "123e4567-e89b-12d3-a456-426614174000",
        "user_metadata": {
          "ANY_ADDITIONAL_PROPERTY": "anything"
        }
      },
      "resources": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "permission_denied": false,
      "name": "text"
    },
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "permission_denied": false,
  "name": "text"
}

Delete Code Repository

delete

Deletes a specific code repository.

Args: code_repository_id: The ID of the code repository to delete.

Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
code_repository_idstring · uuidRequired
Responses
200

Successful Response

application/json
anyOptional
delete/api/v1/code_repositories/{code_repository_id}
DELETE /api/v1/code_repositories/{code_repository_id} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

ZenML Scarf

Last updated

Was this helpful?